deleteFavorites.v1
POST
/shopgate.user.deleteFavorites.v1
This pipeline is used to remove a product from a favorite list of the user. This pipeline is being used in Engage Theme versions 6.7.0 and higher.
favoritesListId is only sent by apps that support multiple favorite lists.
Request Body
Section titled “Request Body”Media typeapplication/json
object
productId
required
productId
The ID of the product
string
Example
abc123favoritesListId
favoritesListId
The ID of the favorite list. Apps without support for multiple favorite lists use the implicit list DEFAULT.
string
Example
1Responses
Section titled “Responses”Returns an empty object.
Media typeapplication/json
object
Examplegenerated
{}EUNKNOWN
Section titled “EUNKNOWN”Returns one or multiple error messages.
Media typeapplication/json
Message
Message to be shown to the user
object
type
required
string
message
required
string
code
Message code, mapped within the extension. It can be used to react in a specific way or to allow for message translation.
string
Example
{ "type": "error", "message": "Some error occurred", "code": "EUNKNOWN"}
